diff options
author | Paul Eggleton <paul.eggleton@linux.intel.com> | 2015-07-13 16:20:03 +0100 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-07-16 15:08:45 +0100 |
commit | 04ed9a19e1b08003329138b8ab83691d13c11fd9 (patch) | |
tree | 94eb3c9809969af693a37725bb13f8f9e4c8e4c4 /meta/classes/autotools.bbclass | |
parent | beec1cf3d22d7dbe85f332a055c72649f4bd3e92 (diff) | |
download | openembedded-core-04ed9a19e1b08003329138b8ab83691d13c11fd9.tar.gz openembedded-core-04ed9a19e1b08003329138b8ab83691d13c11fd9.tar.bz2 openembedded-core-04ed9a19e1b08003329138b8ab83691d13c11fd9.zip |
Use die() or bbfatal_log() where the log should definitely be printed
Change calls to bbfatal() to either die() or bbfatal_log() where we know
we want the full log to be printed by the UI (calling bberror or bbfatal
would otherwise suppress it since the change to connect these functions
through to the UI.) bbfatal() is still fine to use where there is enough
context information in the message such that the log isn't needed.
Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'meta/classes/autotools.bbclass')
-rw-r--r-- | meta/classes/autotools.bbclass | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/meta/classes/autotools.bbclass b/meta/classes/autotools.bbclass index 454dcb669f..6f514294c4 100644 --- a/meta/classes/autotools.bbclass +++ b/meta/classes/autotools.bbclass @@ -87,7 +87,7 @@ oe_runconf () { if [ "$?" != "0" ]; then echo "Configure failed. The contents of all config.log files follows to aid debugging" find ${S} -ignore_readdir_race -name config.log -print -exec cat {} \; - bbfatal "oe_runconf failed" + die "oe_runconf failed" fi set -e else @@ -287,7 +287,7 @@ autotools_do_configure() { intltoolize --copy --force --automake fi bbnote Executing ACLOCAL=\"$ACLOCAL\" autoreconf --verbose --install --force ${EXTRA_AUTORECONF} $acpaths - ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || bbfatal "autoreconf execution failed." + ACLOCAL="$ACLOCAL" autoreconf -Wcross --verbose --install --force ${EXTRA_AUTORECONF} $acpaths || die "autoreconf execution failed." cd $olddir fi if [ -e ${S}/configure ]; then |